Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-23496

Composer install/update fails on eZ Publish 5.0/5.1

    Details

      Description

      Steps to reproduce:

      1. Create new eZ Publish 5.0 installation (see https://doc.ez.no/display/EZP/Installing+eZ+Publish+on+a+Linux-UNIX+based+system);
      2. Get composer.json for eZ Publish 5.0 from https://github.com/ezsystems/ezpublish-platform/blob/stable-5.0/composer.json;
      3. There are various scenarios where composer errors occur:

      Scenario 1: run composer install (vendor/ folder exists):

      $ php composer.phar install --prefer-source
      Loading composer repositories with package information
      Installing dependencies (including require-dev)
        - Removing ezsystems/ezpublish (dev-master)
        - Updating twig/twig (dev-master e1ad2bd => v1.16.2)
       
      [RuntimeException]                                                                                                                      
        The .git directory is missing from /var/www/50ezdemo.com/vendor/twig/twig, see http://getcomposer.org/commit-deps for more information
      

      Scenario 2: run composer update (vendor/ folder exists):

      $ php composer.phar update --prefer-source
      Loading composer repositories with package information
      Updating dependencies (including require-dev)
      Your requirements could not be resolved to an installable set of packages.
       
        Problem 1
          - zetacomponents/mvc-authentication-tiein dev-master requires zetacomponents/mvc-tools ~1.1 -> no matching package found.
          - zetacomponents/mvc-authentication-tiein dev-master requires zetacomponents/mvc-tools ~1.1 -> no matching package found.
          - Installation request for zetacomponents/mvc-authentication-tiein dev-master#9bae3a7313e2ef7f53ef1f394276acc3fde0f80e -> satisfiable by zetacomponents/mvc-authentication-
       
      tiein[dev-master].
       
      Potential causes:
       - A typo in the package name
       - The package is not available in a stable-enough version according to your minimum-stability setting
         see <https://groups.google.com/d/topic/composer-dev/_g3ASeIFlrc/discussion> for more details.
       
      Read <http://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.
      

      Scenario 3: delete vendor/ folder, then run composer install:

      $ rm -rf vendor/
      $ php composer.phar install --prefer-source
      Loading composer repositories with package information
      Installing dependencies (including require-dev)
      Your requirements could not be resolved to an installable set of packages.
       
        Problem 1
          - The requested package twig/extensions could not be found in any version, there may be a typo in the package name.
        Problem 2
          - Installation request for zetacomponents/mvc-authentication-tiein dev-master#9bae3a7313e2ef7f53ef1f394276acc3fde0f80e -> satisfiable by zetacomponents/mvc-authentication-
       
      tiein[dev-master].
          - zetacomponents/mvc-authentication-tiein dev-master requires zetacomponents/mvc-tools ~1.1 -> no matching package found.
        Problem 3
          - zetacomponents/mvc-authentication-tiein dev-master requires zetacomponents/mvc-tools ~1.1 -> no matching package found.
          - ezsystems/ezpublish-kernel 5.0.0 requires zetacomponents/mvc-authentication-tiein @dev -> satisfiable by zetacomponents/mvc-authentication-tiein[dev-master].
          - Installation request for ezsystems/ezpublish-kernel 5.0.0 -> satisfiable by ezsystems/ezpublish-kernel[5.0.0].
       
      Potential causes:
       - A typo in the package name
       - The package is not available in a stable-enough version according to your minimum-stability setting
         see <https://groups.google.com/d/topic/composer-dev/_g3ASeIFlrc/discussion> for more details.
       
      Read <http://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.
      

      Scenario 4: delete vendor/ folder, then run composer update: Same as above.

        Issue Links

          Activity

          Hide
          Jérôme Vieilledent (Inactive) added a comment -

          Should be fixed now.

          Show
          Jérôme Vieilledent (Inactive) added a comment - Should be fixed now.
          Hide
          Eduardo Fernandes (Inactive) added a comment -

          QA Tested and Approved

          Show
          Eduardo Fernandes (Inactive) added a comment - QA Tested and Approved

            People

            • Assignee:
              Unassigned
              Reporter:
              Nuno Oliveira (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: